Stock Ledger Entry
Represents a stock ledger entry
- : Login as a Service
- : View Clinic Stock Information
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
Operation was completed successfully
Represents a stock ledger entry
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
GET /hdsi/StockLedgerEntry/_export HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
{
"sequence": 1,
"act": "123e4567-e89b-12d3-a456-426614174000",
"container": "123e4567-e89b-12d3-a456-426614174000",
"material": "123e4567-e89b-12d3-a456-426614174000",
"reason": "123e4567-e89b-12d3-a456-426614174000",
"startOfLine": 1,
"quantity": 1,
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"creationTime": "text",
"timestamp": "text",
"modifiedOn": "2026-01-01",
"type": "ledger",
"ref": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}- : Login as a Service
- : View Clinic Stock Information
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
Operation was completed successfully
Represents a stock ledger entry
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
GET /hdsi/StockLedgerEntry/{id}/_export HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"sequence": 1,
"act": "123e4567-e89b-12d3-a456-426614174000",
"container": "123e4567-e89b-12d3-a456-426614174000",
"material": "123e4567-e89b-12d3-a456-426614174000",
"reason": "123e4567-e89b-12d3-a456-426614174000",
"startOfLine": 1,
"quantity": 1,
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"creationTime": "text",
"timestamp": "text",
"modifiedOn": "2026-01-01",
"type": "ledger",
"ref": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}The search operation calls the database and loads results either from cache or data store. Care should be taken in the number of results retrieved by this operation.
- : Login as a Service
- : View Clinic Stock Information
The offet of the first result to return
The count of items to return in this result set
True if the server should count the matching results. May reduce performance
Instructs the result set to be ordered (in format: property:(asc|desc))
The query state identifier. This allows the client to get a stable result set.
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
Operation was completed successfully
Represents a stock ledger entry
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
GET /hdsi/StockLedgerEntry HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"sequence": 1,
"act": "123e4567-e89b-12d3-a456-426614174000",
"container": "123e4567-e89b-12d3-a456-426614174000",
"material": "123e4567-e89b-12d3-a456-426614174000",
"reason": "123e4567-e89b-12d3-a456-426614174000",
"startOfLine": 1,
"quantity": 1,
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"creationTime": "text",
"timestamp": "text",
"modifiedOn": "2026-01-01",
"type": "ledger",
"ref": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}This operation is a CREATE ONLY operation, and will throw an error if the operation results in a duplicate. If you are looking for a CREATE OR UPDATE method use the POST with identifier operation
- : Login as a Service
- : Perform Stock Count
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Represents a stock ledger entry
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
Operation was completed successfully
Represents a stock ledger entry
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
There is a conflict in the update request (version mismatch)
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/StockLedgerEntry HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 494
{
"sequence": 1,
"act": "123e4567-e89b-12d3-a456-426614174000",
"container": "123e4567-e89b-12d3-a456-426614174000",
"material": "123e4567-e89b-12d3-a456-426614174000",
"reason": "123e4567-e89b-12d3-a456-426614174000",
"startOfLine": 1,
"quantity": 1,
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"creationTime": "text",
"timestamp": "text",
"modifiedOn": "2026-01-01",
"type": "ledger",
"ref": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}{
"sequence": 1,
"act": "123e4567-e89b-12d3-a456-426614174000",
"container": "123e4567-e89b-12d3-a456-426614174000",
"material": "123e4567-e89b-12d3-a456-426614174000",
"reason": "123e4567-e89b-12d3-a456-426614174000",
"startOfLine": 1,
"quantity": 1,
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"creationTime": "text",
"timestamp": "text",
"modifiedOn": "2026-01-01",
"type": "ledger",
"ref": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}Operation was completed successfully
Represents a stock ledger entry
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
OPTIONS /hdsi/StockLedgerEntry HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Accept: */*
{
"sequence": 1,
"act": "123e4567-e89b-12d3-a456-426614174000",
"container": "123e4567-e89b-12d3-a456-426614174000",
"material": "123e4567-e89b-12d3-a456-426614174000",
"reason": "123e4567-e89b-12d3-a456-426614174000",
"startOfLine": 1,
"quantity": 1,
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"creationTime": "text",
"timestamp": "text",
"modifiedOn": "2026-01-01",
"type": "ledger",
"ref": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}The HEAD operation is useful if you wish to determine if the header information for a specific result set has resulted in a change
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
There is not response for this method
No content
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
HEAD /hdsi/StockLedgerEntry HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Accept: */*
No content
This method will first use cache to locate the most recent copy before searching the database. It is recommended to use this method rather than a query to Resource?id={id}
- : Login as a Service
- : View Clinic Stock Information
The identifier of the object which should be retrieved
True if the server should send related objects to the caller in a bundle
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
Operation was completed successfully
Represents a stock ledger entry
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
GET /hdsi/StockLedgerEntry/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"sequence": 1,
"act": "123e4567-e89b-12d3-a456-426614174000",
"container": "123e4567-e89b-12d3-a456-426614174000",
"material": "123e4567-e89b-12d3-a456-426614174000",
"reason": "123e4567-e89b-12d3-a456-426614174000",
"startOfLine": 1,
"quantity": 1,
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"creationTime": "text",
"timestamp": "text",
"modifiedOn": "2026-01-01",
"type": "ledger",
"ref": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}Creates or updates a resource. That is, creates the resource if it does not exist, or updates it if it does
This method will attempt to update the resource if it exists (a-la PUT style) however, if a PUT fails the operation will create (a-la POST)
- : Login as a Service
- : Perform Stock Count
The identifier of the resource to be created or updated
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Represents a stock ledger entry
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
Operation was completed successfully
Represents a stock ledger entry
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/StockLedgerEntry/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 494
{
"sequence": 1,
"act": "123e4567-e89b-12d3-a456-426614174000",
"container": "123e4567-e89b-12d3-a456-426614174000",
"material": "123e4567-e89b-12d3-a456-426614174000",
"reason": "123e4567-e89b-12d3-a456-426614174000",
"startOfLine": 1,
"quantity": 1,
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"creationTime": "text",
"timestamp": "text",
"modifiedOn": "2026-01-01",
"type": "ledger",
"ref": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}{
"sequence": 1,
"act": "123e4567-e89b-12d3-a456-426614174000",
"container": "123e4567-e89b-12d3-a456-426614174000",
"material": "123e4567-e89b-12d3-a456-426614174000",
"reason": "123e4567-e89b-12d3-a456-426614174000",
"startOfLine": 1,
"quantity": 1,
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"creationTime": "text",
"timestamp": "text",
"modifiedOn": "2026-01-01",
"type": "ledger",
"ref": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}The metadata for the most recent version of this resource includes the last modified time, the e-tag, etc.
The identifier of the resource to be retrieved
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
There is not response for this method
No content
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
HEAD /hdsi/StockLedgerEntry/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Accept: */*
No content
In SanteDB an operation or method is invoked using
- : Login as a Service
- : Perform Stock Count
The ID of the object which scopes the operation
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets the operation invokation
Operation was completed successfully
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/StockLedgerEntry/{id}/$diff HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 42
{
"parameter": [
{
"name": "text",
"int": null
}
]
}{}In SanteDB an operation or method is invoked using
- : Login as a Service
- : Perform Stock Count
The ID of the object which scopes the operation
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets the operation invokation
Operation was completed successfully
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/StockLedgerEntry/{id}/$tag HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 42
{
"parameter": [
{
"name": "text",
"int": null
}
]
}{}This method returns a barcode which explicitly points at the specified resource in the specified authority.
The barcode is generated using the server's configuration, and is signed by the server's signing key.
For complete specification see: https://help.santesuite.org/santedb/extending-santedb/service-apis/health-data-service-interface-hdsi/digitally-signed-visual-code-api- : Login as a Service
- : View Clinic Stock Information
The identifier of the resource for which a VRP should be generated
The format of the barcode (santedb-vrp, code39, etc.)
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
Operation was completed successfully
Represents a stock ledger entry
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
GET /hdsi/StockLedgerEntry/{id}/_code HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"sequence": 1,
"act": "123e4567-e89b-12d3-a456-426614174000",
"container": "123e4567-e89b-12d3-a456-426614174000",
"material": "123e4567-e89b-12d3-a456-426614174000",
"reason": "123e4567-e89b-12d3-a456-426614174000",
"startOfLine": 1,
"quantity": 1,
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"creationTime": "text",
"timestamp": "text",
"modifiedOn": "2026-01-01",
"type": "ledger",
"ref": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}This operation (like the _code operation) generates a digitally signed pointer for an object. Rather than rendering that pointer as a visual code, the API will return the structured contents of that code so the client can best determine how to represent the data.
For complete specification see: https://help.santesuite.org/santedb/extending-santedb/service-apis/health-data-service-interface-hdsi/digitally-signed-visual-code-api- : Login as a Service
- : View Clinic Stock Information
The identifier of the object for which the pointer should be created
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
A query parameter which references itself - this is for query filters which pass the original data in
Gets a tag which changes whenever the object is updated
Operation was completed successfully
Represents a stock ledger entry
Gets or sets the sequence of this entry in the ledger
Gets or sets the act which caused this ledger entry to be created
Gets or sets the container to which this ledger entry applies
Gets or sets the material to which the ledger entry applies
Gets or sets the reason for the ledger entry
Gets or sets the start of line balance (the known balance before the entry was created)
Gets or sets the quantity of the current ledger entry
Gets or sets the security principal that was responsible for the cretion of this ledger entry
Gets or sets the time that this ledger entry was created
Gets or sets the timestamp when the ledger entry applies to
Gets the modification date of this object entry
Gets or sets the stock ledger entry type
If this entry points to another entry, then the pointer to the entry being referenced
Gets or sets the primary identifying UUID of this object
Gets or sets the operation
Gets the type registration of this object
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
GET /hdsi/StockLedgerEntry/{id}/_ptr HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"sequence": 1,
"act": "123e4567-e89b-12d3-a456-426614174000",
"container": "123e4567-e89b-12d3-a456-426614174000",
"material": "123e4567-e89b-12d3-a456-426614174000",
"reason": "123e4567-e89b-12d3-a456-426614174000",
"startOfLine": 1,
"quantity": 1,
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"creationTime": "text",
"timestamp": "text",
"modifiedOn": "2026-01-01",
"type": "ledger",
"ref": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"operation": "Auto",
"$type": "text"
}- : Login as a Service
- : Perform Stock Count
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets the operation invokation
Operation was completed successfully
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/StockLedgerEntry/$xsd-complete HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 42
{
"parameter": [
{
"name": "text",
"int": null
}
]
}{}- : Login as a Service
- : Perform Stock Count
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets the operation invokation
Operation was completed successfully
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/StockLedgerEntry/$schema-complete HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 42
{
"parameter": [
{
"name": "text",
"int": null
}
]
}{}- : Login as a Service
- : Perform Stock Count
When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response
Gets the operation invokation
Operation was completed successfully
The provided resource was in an incorrect format
The principal is unauthorized and needs to either elevate or authenticate themselves
The principal is not permitted (cannot elevate) to perform the operation
The requested object does not exist
The specified object did exist however is no-longer present
The client is submitting an invalid object
There was a business rule violation executing the operation
The server rejected the request due to a throttling constraint
The server encountered an error processing the result
The service is not available (starting up or shutting down)
POST /hdsi/StockLedgerEntry/$xref-use HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/x.santedb.rim.viewModel+json
Accept: */*
Content-Length: 42
{
"parameter": [
{
"name": "text",
"int": null
}
]
}{}Last updated
Was this helpful?